/******************************************************************************

 This file is part of FDD3000 Emulator version 0.1.6

 Copyright (C) 2013,2014 by Sławomir Szczyrba <sszczyrba@gmail.com>

 FDD300Emu is free software: you can redistribute it and/or modify it under
 the terms of the GNU Lesser General Public License as published by the Free
 Software Foundation, either version 2 of the License, or (at your option) any
 later version.

 This program is distributed in the hope that it will be useful, but WITHOUT
 ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 details.

 You should have received a copy of the GNU Lesser General Public License
 along with this program. If not, see <http://www.gnu.org/licenses/lgpl.html>

******************************************************************************/

#include "setupdlg.h"

setupdlg::setupdlg(QWidget *parent) :
    QDialog(parent),dlg(new Ui::setup)
{
    dlg->setupUi(this);
    QObject::connect(dlg->change,SIGNAL(clicked()),this,SLOT(selectDisk()));
}

void setupdlg::selectDisk() {
    QString fileName = QFileDialog::getOpenFileName(
                NULL, tr("Select disk image"),
                ".",
                tr("image (*.img *.dsk)"));
    dlg->diskName->setText(fileName);

}

setupdlg::~setupdlg(){

}
